Package org.apache.solr.common.util

## Interface DataEntry.EntryListener

Enclosing interface:
  DataEntry

    public static interface DataEntry.EntryListener

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `end​(DataEntry e)` Callback after all entries of this container are streamed
`void` `entry​(DataEntry e)` Callback for each entry in this container.

### Method Detail

#### entry

    void entry​(DataEntry e)

Callback for each entry in this container. Once the method call returns, the entry object is not valid anymore. It is usually reused. If the object value is a {`Utf8CharSequence`} do a {`Object.clone()`} because the object may be reused

Parameters:
  `e` - The entry in the container

#### end

    default void end​(DataEntry e)

Callback after all entries of this container are streamed

Parameters:
  `e` - the container entry